"use strict";
// Tell React that this is not a server component, since it's likely to be used
// as the first client-side component in a tree
'use client';
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BootstrapRoot = void 0;
const react_1 = __importStar(require("react"));
const recoil_1 = require("recoil");
function RootInitializer({ children, bootstrapData, rootAtom, }) {
    const snapshot = (0, recoil_1.useRecoilSnapshot)();
    snapshot.map(({ set }) => {
        set(rootAtom, bootstrapData);
    });
    snapshot.retain();
    return react_1.default.createElement(react_1.default.Fragment, null, children);
}
function BootstrapRoot({ children, bootstrapData, rootAtom, }) {
    const isInitializedRef = (0, react_1.useRef)(false);
    if (!isInitializedRef.current) {
        isInitializedRef.current = true;
        return (react_1.default.createElement(RootInitializer, { bootstrapData: bootstrapData, rootAtom: rootAtom }, children));
    }
    else {
        return react_1.default.createElement(react_1.default.Fragment, null, children);
    }
}
exports.BootstrapRoot = BootstrapRoot;
//# sourceMappingURL=bootstrapRoot.js.map