import type { AtomOptions, RecoilValue } from 'recoil';
type BootstrappedAtomOptions<AtomValue, BootstrapData> = Omit<AtomOptions<AtomValue>, 'default'> & {
    initialValue: (bootstrapData: BootstrapData) => AtomValue;
};
export declare function bootstrappedAtom<AtomValue, BootstrapData>(rootAtom: RecoilValue<BootstrapData>, { initialValue, key, ...options }: BootstrappedAtomOptions<AtomValue, BootstrapData>): import("recoil").RecoilState<AtomValue>;
export {};
